@import 'sass-rem';
@import 'settings';
@import 'typography';

// Default typography
$rem-baseline: $global-font-size;

html {
    @include rem-baseline;
}

body {
    @include body-type;
    color: $body-font-color;
}

// Typographic clases
.heading {
    @include heading;
    margin-bottom: rem(26px);
}

.heading-medium {
    @include heading-medium;
    margin-bottom: rem(26px);
}

.heading-large {
    @include heading-large;
    margin-bottom: rem(26px);
}

.heading-larger {
    @include heading-larger;
    margin-bottom: rem(30px);
}

.large {
    @include heading-large;
}

.lowercase {
    text-transform: lowercase;
}

.uppercase {
    text-transform: uppercase;
}

.normalcase {
    text-transform: none;
}


// Color helpers
.standout,
.highlight {
    color: $blue;
}

.success {
    color: $green;
}

.quiet {
    color: $gray-400;
}

.muted {
    color: $gray-600;
}


// Default Tag styles
.small,
small {
    @include small-type;
}

a {
    color: $blue;
    text-decoration: none;
    cursor: pointer;

    &:hover {
        color: darken($blue, 10%);
        transition: color 0.25s, background 0.25s;
    }
}

p {
    margin: 0;
    margin-bottom: $paragraph-margin-bottom;
}

hr {
    height: 0;
    border-right: 0;
    border-top: 0;
    border-bottom: 1px solid $gray-600;
    border-left: 0;
    margin: 1.36364rem auto;
    clear: both;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    @include heading;
    margin: 0;
}

header {
    margin-bottom: 28px;
}

address {
    font-style: normal;
}


// Icons
.cicle-icon {
    @include circle-icon;
}

// Buttons
button {
    background: transparent;
    border: 0;
    outline: none;
    cursor: pointer;

    &:hover {
        transition: color 0.25s, background 0.25s;
    }
}

.button {
    @include button-type;
    display: inline-block;
    vertical-align: middle;
    margin: 0;
    padding: 0.75em 1.1em 0.65em 1.1em;
    border: solid 1px $medium-gray;
    background: transparent;
    color: $body-font-color;
    cursor: pointer;

    &:hover {
        color: $white;
        border-color: $blue;
        background: $blue;
    }
}

a.button {
    text-decoration: none;
}

.go-button {
    display: inline-block;
    width: 16px;
    height: 16px;
    border-bottom: solid 2px $white;
    border-right: solid 2px $white;
    transform: rotate(-45deg);
    position: relative;
    bottom: -4px;
}

.modal-back-link {
    @include modal-back-link;
}


// Forms
input[type='text'],
input[type='password'],
input[type='date'],
input[type='datetime'],
input[type='datetime-local'],
input[type='month'],
input[type='week'],
input[type='email'],
input[type='number'],
input[type='search'],
input[type='tel'],
input[type='time'],
input[type='url'],
input[type='color'],
textarea {
    @include small-type;
    display: block;
    width: 100%;
    height: 2.4rem;
    padding: 2px 5px;
    margin-bottom: rem(6px);
    border-color: $gray-400;
    box-shadow: none;
    border: solid 1px $body-font-color;
    outline: none;
}

.form-error {
    display: block;
    text-transform: none;
}

.error {
    color: $red;
}


dl {
    margin: 0;
    margin-bottom: 1rem;
}

.fancy-dl {
    dt {
        @include heading-large;
    }

    @media #{$mobile-only} {
        text-align: center;

        dt {
            font-size: 1.3rem;
            line-height: 1;
            margin-top: 20px;
            margin-bottom: 6px;
        }

        dd {
            font-size: 1rem;
            line-height: 1;
            margin-left: 0;
        }
    }

    @media #{$tablet} {
        dt {
            float: left;
            clear: left;
            padding-right: 1.2rem;
            margin: 0;
            font-size: 2.6rem;
            line-height: 3.4rem;
            text-align: right;
            width: 8.7rem;
        }

        dd {
            clear: right;
            font-size: 1.4rem;
            white-space: nowrap;
            line-height: 3.8rem;
        }
    }
}
